Function
appendAlignedRead
Appends an aligned read entry to a fragment store.
appendAlignedRead(store, readId, contigId, beginPos, endPos[, pairMatchId])
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore
readId | The id of the read.
contigId | The id of the contig.
beginPos | The begin position of the alignment.
endPos | The end position of the alignment.
pairMatchId | Id of alignedRead pair. Default: INVALID_ID, which corresponds to an unmated read.

Remarks
This function appends a single aligned read to the alignedReadStore. Note that this really only adds a match. To generate a global alignment out of all of these matches, use convertMatchesToGlobalAlignment.
Return Values
The alignedReadId of the aligned read.
Member of
FragmentStore
See Also
appendRead
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57